import iface

class SampleExtension(iface.HelloExtPt):
    def sayHi(self):
        print('Hi!')

class SamplePlugin(iface.HelloPlugin):
    name = 'Sample Plugin'
    def load(self, api):
        api.sayHello(self.name)
        SampleExtension.activate()
    def unload(self, api):
        api.sayGoodbye(self.name)
        SampleExtension.deactivate()
