#!/usr/bin/env python

import slagroom

class CheckLoadingAPI(object):
    def __init__(self):
        self.loaded = []
    def notifyLoaded(self, plugin):
        self.loaded.append(plugin)
    def notifyUnloaded(self, plugin):
        self.loaded.remove(plugin)
        

class CustomPluginType1(slagroom.Plugin):
    # no name = not an actual plugin, just a type
    # TODO better way to distinguish?
    pass

class CustomPluginType2(CustomPluginType1):
    pass


class TestExtPoint(slagroom.ExtensionPoint):
    """
    TestExtPoint interface:
        num()   return a number
    """

class HiddenExtPoint(slagroom.ExtensionPoint):
    pass

class AutoExtPoint(slagroom.AutoExtensionPoint):
    pass
